Skip to main content
POST
/
domains
Add a custom domain
curl --request POST \
  --url https://api.sentvia.ai/v1/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hostname": "mail.yourcompany.com"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hostname": "mail.yourcompany.com",
  "mail_from_domain": "<string>",
  "verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "records": [
    {
      "name": "<string>",
      "content": "<string>",
      "purpose": "<string>",
      "priority": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
hostname
string
required
Example:

"mail.yourcompany.com"

Response

Created

id
string<uuid>
hostname
string
Example:

"mail.yourcompany.com"

kind
enum<string>
Available options:
system,
tenant_subdomain,
byo
status
enum<string>
Available options:
pending,
verifying,
verified,
failed
mail_from_domain
string | null
mail_from_status
enum<string> | null
Available options:
pending,
success,
failed
dmarc_policy
enum<string>
Available options:
none,
quarantine,
reject
verified_at
string<date-time> | null
created_at
string<date-time>
records
object[]